Loading...
Searching...
No Matches
BamTools::RefData Struct Reference

Represents a reference sequence entry. More...

`#include <BamAux.h>`

## Public Member Functions

| RefData (const std::string &name=std::string(), const int32_t &length=0)
| constructor

## Public Attributes

std::string | RefName
| name of reference sequence
int32_t | RefLength
| length of reference sequence

## Detailed Description

Represents a reference sequence entry.

## Constructor & Destructor Documentation

## RefData()

BamTools::RefData::RefData | ( | const std::string & | name = std::string(),
|  | const int32_t & | length = 0 )

inline

constructor

## Member Data Documentation

## RefLength

int32_t BamTools::RefData::RefLength

length of reference sequence

## RefName

std::string BamTools::RefData::RefName

name of reference sequence

The documentation for this struct was generated from the following file:

- BamAux.h